import { InMemoryDBService } from '../services';
import { InMemoryDBEntity } from '../interfaces';
import { Observable } from 'rxjs';
export declare abstract class InMemoryDBEntityAsyncController<T extends InMemoryDBEntity> {
    protected readonly dbService: InMemoryDBService<T>;
    constructor(dbService: InMemoryDBService<T>);
    create(record: Partial<T> | Array<Partial<T>>): Observable<T | T[]>;
    update(id: T['id'], record: Partial<T>): Observable<void>;
    updateMany(records: T[]): Observable<void>;
    delete(id: T['id']): Observable<void>;
    deleteMany(ids: Array<T['id']>): Observable<void>;
    get(id: T['id']): Observable<T>;
    getMany(ids?: Array<T['id']>): Observable<T[]>;
}
