import { InMemoryDBService } from '../services';
import { InMemoryDBEntity } from '../interfaces';
export declare abstract class InMemoryDBEntityController<T extends InMemoryDBEntity> {
    protected readonly dbService: InMemoryDBService<T>;
    constructor(dbService: InMemoryDBService<T>);
    create(record: Partial<T> | Array<Partial<T>>): T | T[];
    update(id: T['id'], record: Partial<T>): void;
    updateMany(records: T[]): void;
    delete(id: T['id']): void;
    deleteMany(ids: Array<T['id']>): void;
    get(id: T['id']): T;
    getMany(ids?: Array<T['id']>): T[];
}
