import { InMemoryDBV1Service } from '../services';
import { InMemoryDBV1Entity } from '../interfaces';
export declare abstract class InMemoryDBV1EntityController<T extends InMemoryDBV1Entity> {
    protected readonly dbService: InMemoryDBV1Service<T>;
    constructor(dbService: InMemoryDBV1Service<T>);
    create(record: Partial<T> | Array<Partial<T>>): T | T[];
    update(id: T['id'], record: Partial<T>): void;
    updateMany(records: T[]): void;
    delete(id: T['id']): void;
    deleteMany(ids: Array<T['id']>): void;
    get(id: T['id']): T;
    getMany(ids?: Array<T['id']>): T[];
}
